import APIClient from '../../../utils/APIClient.js'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    wareCards: [],
    user: {},
    line1: '您还没有朗读过哦',
    line2: '快去朗读吧'
  },

  toWork: function (e) {
    let lessonId = e.currentTarget.dataset.lessonid;
    let title = e.currentTarget.dataset.title;
    wx.navigateTo({
      url: `../../social/works/works?id=${lessonId}&title=${title}`
    });
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (option) {
    console.log(option.title);
    if (option.title) {
      wx.setNavigationBarTitle({
        title: '我的作品'//页面标题为路由参数
      });
      this.setData({
        title: option.title
      });
    }
    APIClient.myRead().success(res => {
      console.log(res.data.data.list,'我的朗读');
      APIClient.getUserWorksInfo().success(res => {
        let user = res.data.data;
        this.setData({
          user: user,
        }, () => {
          console.log(this.data.user);
        });
      }).fail(error => {
        console.log(error);
      });
      this.setData({
        wareCards: res.data.data.list
      });
    }).fail(err => {
      console.log(err);
    });
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})